## org.apache.mahout.cf.taste.impl.eval
Class IRStatisticsImpl

    java.lang.Object
      org.apache.mahout.cf.taste.impl.eval.IRStatisticsImpl

All Implemented Interfaces:
  Serializable, IRStatistics

    public final class IRStatisticsImpl

extends Object
implements IRStatistics, Serializable

See Also:
  Serialized Form

Method Summary
`double` `getF1Measure()` See F-measure.
`double` `getFallOut()` See Fall-Out.
`double` `getFNMeasure(double b)` See F-measure.
`double` `getNormalizedDiscountedCumulativeGain()` See Normalized Discounted Cumulative Gain.
`double` `getPrecision()` See Precision.
`double` `getReach()`
`double` `getRecall()` See Recall.
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getPrecision

    public double getPrecision()

  Description copied from interface: `IRStatistics`

  See Precision.

  Specified by:
    `getPrecision` in interface `IRStatistics`

### getRecall

    public double getRecall()

  Description copied from interface: `IRStatistics`

  See Recall.

  Specified by:
    `getRecall` in interface `IRStatistics`

### getFallOut

    public double getFallOut()

  Description copied from interface: `IRStatistics`

  See Fall-Out.

  Specified by:
    `getFallOut` in interface `IRStatistics`

### getF1Measure

    public double getF1Measure()

  Description copied from interface: `IRStatistics`

  See F-measure.

  Specified by:
    `getF1Measure` in interface `IRStatistics`

### getFNMeasure

    public double getFNMeasure(double b)

  Description copied from interface: `IRStatistics`

  See F-measure.

  Specified by:
    `getFNMeasure` in interface `IRStatistics`

### getNormalizedDiscountedCumulativeGain

    public double getNormalizedDiscountedCumulativeGain()

  Description copied from interface: `IRStatistics`

  See Normalized Discounted Cumulative Gain.

  Specified by:
    `getNormalizedDiscountedCumulativeGain` in interface `IRStatistics`

### getReach

    public double getReach()

  Specified by:
    `getReach` in interface `IRStatistics`
  Returns:
    the fraction of all users for whom recommendations could be produced

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.